./audio/libao-sun, Cross-platform audio library (Sun audio plugin)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.2.0, Package name: libao-sun-1.2.0, Maintainer: pkgsrc-users

Libao is a cross-platform audio library that allows programs to
output audio using a simple API on a wide variety of platforms.

This package provides a Sun audio plugin for libao's core.

This is used on many BSD systems as well as Solaris.


Required to run:
[audio/libao]

Master sites:

SHA1: 6b1d2c6a2e388e3bb6ebea158d51afef18aacc56
RMD160: 00921bf311f8d7a2be1f860221811924402beebd
Filesize: 453.707 KB

Version history: (Expand)


CVS history: (Expand)


   2016-03-28 00:45:48 by Jonathan Perkin | Files touched by this commit (1)
Log message:
Add Darwin to NOT_FOR_PLATFORM.
   2015-01-01 09:15:51 by David A. Holland | Files touched by this commit (2)
Log message:
Switch ONLY_FOR_PLATFORM to NOT_FOR_PLATFORM and list the platforms known
not to support the Sun audio interface, as per mpg123-sun.

XXX: this knowledge should be centralized.
   2013-04-06 17:46:40 by Blue Rats | Files touched by this commit (52)
Log message:
'You can use "foo" instead of "${WRKSRC}/foo".'
   2010-05-19 20:18:48 by Matthias Drochner | Files touched by this commit (8) | Package updated
Log message:
sync w/ libao update
   2009-06-14 19:32:26 by Joerg Sonnenberger | Files touched by this commit (250)
Log message:
Remove @dirrm entries from PLISTs
   2007-11-30 18:50:34 by Thomas Klausner | Files touched by this commit (12) | Package updated
Log message:
Update to 0.8.8:

0.8.8 - Thu May 24
 - New win32 driver
 - Few fixes and changes in autotools and configuration files.

0.8.7 - unreleased snapshot
- obsolete alsa device renamed to alsa05
- the 'alsa' device now uses the 0.9/1.0 API
- ALSA driver fixes
   2006-04-13 23:41:10 by Jeremy C. Reed | Files touched by this commit (1)
Log message:
Mention this is used on many BSD systems as well as Solaris.
   2006-04-06 08:23:06 by Jeremy C. Reed | Files touched by this commit (1147)
Log message:
Over 1200 files touched but no revisions bumped :)

RECOMMENDED is removed. It becomes ABI_DEPENDS.

BUILDLINK_RECOMMENDED.foo becomes BUILDLINK_ABI_DEPENDS.foo.

BUILDLINK_DEPENDS.foo becomes BUILDLINK_API_DEPENDS.foo.

BUILDLINK_DEPENDS does not change.

IGNORE_RECOMMENDED (which defaulted to "no") becomes USE_ABI_DEPENDS
which defaults to "yes".

Added to obsolete.mk checking for IGNORE_RECOMMENDED.

I did not manually go through and fix any aesthetic tab/spacing issues.

I have tested the above patch on DragonFly building and packaging
subversion and pkglint and their many dependencies.

I have also tested USE_ABI_DEPENDS=no on my NetBSD workstation (where I
have used IGNORE_RECOMMENDED for a long time). I have been an active user
of IGNORE_RECOMMENDED since it was available.

As suggested, I removed the documentation sentences suggesting bumping for
"security" issues.

As discussed on tech-pkg.

I will commit to revbump, pkglint, pkg_install, createbuildlink separately.

Note that if you use wip, it will fail!  I will commit to pkgsrc-wip
later (within day).